# HG changeset patch
# User Radhakrishnan <radhakrishnan@multicorewareinc.com>
# Date 1519118958 -19800
#      Tue Feb 20 14:59:18 2018 +0530
# Node ID 6141735cb324b9aa931891436747fe1b1e86c35c
# Parent  55a15ecc1110f206199db1b0f997272b5f7ddc82
x86: Remove header file for horizontal ipfilters

Since all ipfilter kernals share the ipfilter8.h file, a separate header file isn't needed for horizontal ipfilter kernals. So this patch removes the duplicate header file

diff -r 55a15ecc1110 -r 6141735cb324 source/common/CMakeLists.txt
--- a/source/common/CMakeLists.txt	Fri Jan 19 12:04:23 2018 +0530
+++ b/source/common/CMakeLists.txt	Tue Feb 20 14:59:18 2018 +0530
@@ -56,7 +56,7 @@
     endif()
     set(VEC_PRIMITIVES vec/vec-primitives.cpp ${PRIMITIVES})
     source_group(Intrinsics FILES ${VEC_PRIMITIVES})
-    set(C_SRCS asm-primitives.cpp pixel.h mc.h ipfilter8.h blockcopy8.h dct8.h h-ipfilter8.h loopfilter.h seaintegral.h)
+    set(C_SRCS asm-primitives.cpp pixel.h mc.h ipfilter8.h blockcopy8.h dct8.h loopfilter.h seaintegral.h)
     set(A_SRCS pixel-a.asm const-a.asm cpu-a.asm ssd-a.asm mc-a.asm
                mc-a2.asm pixel-util8.asm blockcopy8.asm
                pixeladd8.asm dct8.asm seaintegral.asm)
diff -r 55a15ecc1110 -r 6141735cb324 source/common/x86/asm-primitives.cpp
--- a/source/common/x86/asm-primitives.cpp	Fri Jan 19 12:04:23 2018 +0530
+++ b/source/common/x86/asm-primitives.cpp	Tue Feb 20 14:59:18 2018 +0530
@@ -115,7 +115,6 @@
 #include "intrapred.h"
 #include "dct8.h"
 #include "seaintegral.h"
-#include "h-ipfilter8.h"
 }
 #define ALL_LUMA_CU_TYPED(prim, fncdef, fname, cpu) \
     p.cu[BLOCK_8x8].prim   = fncdef PFX(fname ## _8x8_ ## cpu); \
diff -r 55a15ecc1110 -r 6141735cb324 source/common/x86/h-ipfilter8.h
--- a/source/common/x86/h-ipfilter8.h	Fri Jan 19 12:04:23 2018 +0530
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,39 +0,0 @@
-/*****************************************************************************
-* Copyright (C) 2013-2017 MulticoreWare, Inc
-*
-* Authors: Steve Borho <steve@borho.org>
-*          Praveen Kuamr Tiwari <praveen@multicorewareinc.com>
-*
-* This program is free software; you can redistribute it and/or modify
-* it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
-* (at your option) any later version.
-*
-* This program is distributed in the hope that it will be useful,
-* but WITHOUT ANY WARRANTY; without even the implied warranty of
-* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-* GNU General Public License for more details.
-*
-* You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111, USA.
-*
-* This program is also available under a commercial proprietary license.
-* For more information, contact us at license @ x265.com.
-*****************************************************************************/
-
-#ifndef X265_H_IPFILTER8_H
-#define X265_H_IPFILTER8_H
-
-
-#define SETUP_H_FUNC_DEF(cpu) \
-    FUNCDEF_PU(void, interp_8tap_horiz_pp, cpu, const pixel* src, intptr_t srcStride, pixel* dst, intptr_t dstStride, int coeffIdx); \
-    FUNCDEF_PU(void, interp_8tap_horiz_ps, cpu, const pixel* src, intptr_t srcStride, int16_t* dst, intptr_t dstStride, int coeffIdx, int isRowExt);
-
-SETUP_H_FUNC_DEF(sse2);
-SETUP_H_FUNC_DEF(ssse3);
-SETUP_H_FUNC_DEF(sse3);
-SETUP_H_FUNC_DEF(sse4);
-SETUP_H_FUNC_DEF(avx2);
-
-#endif // ifndef X265_H_IPFILTER8_H
